Skip to main content

Storing Validation Parameters in PKCS#8
RFC 8479

Revision differences

Document history

Date By Action
2026-05-20
(System) Changed metadata: changed keywords to '['private keys', 'validation parameters', 'PKCS#8']' from '[]'
2026-05-20
(System) Metadata update from RFC Editor
2026-05-20
(System)
Changed author "N. Mavrogiannopoulos": changed name from "Nikos Mavrogiannopoulos" to "N. Mavrogiannopoulos", changed affiliation from "Red Hat, Inc." to "Red Hat", cleared country (was "Czech …
Changed author "N. Mavrogiannopoulos": changed name from "Nikos Mavrogiannopoulos" to "N. Mavrogiannopoulos", changed affiliation from "Red Hat, Inc." to "Red Hat", cleared country (was "Czech Republic"), changed order from "0" to "1"
2026-05-20
(System) Metadata update from RFC Editor
2018-12-19
(System)
Received changes through RFC Editor sync (changed abstract to 'This memo describes a method of storing parameters needed for private-key validation in the Private-Key Information …
Received changes through RFC Editor sync (changed abstract to 'This memo describes a method of storing parameters needed for private-key validation in the Private-Key Information Syntax Specification as defined in PKCS#8 format (RFC 5208). It is equally applicable to the alternative implementation of the Private-Key Information Syntax Specification as defined in RFC 5958.

The approach described in this document encodes the parameters under a private enterprise extension and does not form part of a formal standard.')
2018-09-26
(System)
Received changes through RFC Editor sync (created alias RFC 8479, changed title to 'Storing Validation Parameters in PKCS#8', changed abstract to 'This memo describes …
Received changes through RFC Editor sync (created alias RFC 8479, changed title to 'Storing Validation Parameters in PKCS#8', changed abstract to 'This memo describes a method of storing parameters needed for private-key validation in the Private-Key Information Syntax Specification as defined in PKCS#8 format (RFC 5208). It is equally applicable to the alternative implementation of the Private-Key Information Syntax Specification as defined in RFC 5958.', changed pages to 8, changed standardization level to Informational, changed state to RFC, added RFC published event at 2018-09-26, changed ISE state to Published RFC)
2018-09-26
(System) RFC published